package common

import (
	"net/http"

	"github.com/gin-gonic/gin"
	"github.com/mhaya/game/game_cluster/internal/code"
)

func NewResult(statusCode int32) *code.Result {
	result := &code.Result{
		Code:    statusCode,
		Message: code.GetMessage(statusCode),
	}

	return result
}

func PackOkResult(c *gin.Context, statusCode int32, data ...interface{}) {
	result := &code.Result{
		Code:    statusCode,
		Message: code.GetMessage(statusCode),
	}

	if len(data) > 0 {
		result.Data = data
	}

	c.JSON(http.StatusOK, result)
}
